<template>
  <hyper-link class="btn" v-bind="$props">
    <slot />
  </hyper-link>
</template>

<script>
export default {
  name: 'ButtonLink',
  props: {
    to: String,
  },
};
</script>

<style lang="postcss" scoped>
.btn {
  @apply px-4 py-2 bg-white tracking-wider rounded shadow-md;
}
.btn:hover {
  @apply bg-pink-600 text-white shadow-lg cursor-pointer;
}
@screen md {
  .btn {
    @apply text-xl;
  }
}
</style>